'use client'
import ChatConfigContext, { LeftSidebarType } from "@/feature/messenger/context/ChatConfigContext";
import { useTranslation } from "@/hooks/useTranslation";
import { Tooltip } from "@nextui-org/react";
import { MessageSquare, Users } from "react-feather";

export default function ChatButton(){

    const setLeftSidebar = ChatConfigContext(state => state.setLeftSidebar);
    const leftSidebar = ChatConfigContext(state => state.leftSidebar);
    const { trans } = useTranslation();

    const handleClick = () => {
        setLeftSidebar(LeftSidebarType.CHAT);
    }

    return (
        <Tooltip
          placement="right"
          content={trans('section_conversations_button_title')}
          color="default"
        >
            <div className={`${leftSidebar === LeftSidebarType.CHAT ? 'active-section-sidebar' : ''} cursor-pointer text-white h-14 w-full flex justify-center items-center`} onClick={handleClick}>
                <MessageSquare size={30} />
            </div>
        </Tooltip>
    )
}